Bug 222266 - qt4: Missing Dependency: libdbus-1.so.2 (fc6)
qt4: Missing Dependency: libdbus-1.so.2 (fc6)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 04:22 EST by Frank Büttner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-11 09:32:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2007-01-11 04:22:04 EST
When try to build packages via mock or try to install qt4 it will fails with
this yum error:
Executing /usr/sbin/mock-helper yum --installroot
/var/lib/mock/fedora-6-i386-core/root install  'qt4-devel'
Error: Missing Dependency: libdbus-1.so.2 is needed by package qt4-devel
Error: Missing Dependency: libdbus-1.so.2 is needed by package qt4
Comment 1 Rex Dieter 2007-01-11 09:32:21 EST
WORKSFORME.

I'd venture your mock config is borked.  
fc6 includes libdbus-1.so.3 which is what qt4-4.2.2-1.fc6 is linked against:

(including updates-testing repo):
$ repoquery --whatprovides libdbus-1.so.3
dbus-0:0.93-3.fc6.i386
dbus-0:1.0.1-2.fc6.i386
dbus-0:1.0.1-8.fc6.i386
dbus-0:1.0.1-9.fc6.i386



Note You need to log in before you can comment on or make changes to this bug.